zenilib: zenilib/jni/external/sdl/src/video/psp/SDL_pspgl.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Functions | Variables
SDL_pspgl.c File Reference
`#include <stdlib.h>`
`#include <string.h>`
`#include "SDL_error.h"`
`#include "SDL_pspvideo.h"`
`#include "SDL_pspgl_c.h"`

Go to the source code of this file.

## Macros

#define | EGLCHK(stmt)

## Functions

SDL_GLContext | PSP_GL_CreateContext (_THIS, SDL_Window *window)
void | PSP_GL_DeleteContext (_THIS, SDL_GLContext context)
void * | PSP_GL_GetProcAddress (_THIS, const char *proc)
int | PSP_GL_GetSwapInterval (_THIS)
int | PSP_GL_LoadLibrary (_THIS, const char *path)
int | PSP_GL_MakeCurrent (_THIS, SDL_Window *window, SDL_GLContext context)
int | PSP_GL_SetSwapInterval (_THIS, int interval)
void | PSP_GL_SwapWindow (_THIS, SDL_Window *window)
void | PSP_GL_UnloadLibrary (_THIS)

## Variables

static EGLint | height = 272
static EGLint | width = 480

## Macro Definition Documentation

#define EGLCHK | ( |  | stmt | ) |

Value:
do { \
EGLint err; \
\
stmt; \
err = eglGetError(); \
if (err != EGL_SUCCESS) { \
SDL_SetError("EGL error %d", err); \
return 0; \
} \
} while (0)
return
return
Definition: pngrutil.c:1266
eglGetError
EGLAPI EGLint EGLAPIENTRY eglGetError(void)
EGLint
khronos_int32_t EGLint
Definition: eglplatform.h:127
if
if(!yyg->yy_init)
Definition: glslang_lex.cpp:1037
EGL_SUCCESS
#define EGL_SUCCESS
Definition: egl.h:77
SDL_SetError
DECLSPEC int SDLCALL SDL_SetError(const char *fmt,...)
Definition: SDL_error.c:53

Definition at line 32 of file SDL_pspgl.c.

Referenced by PSP_GL_CreateContext().

## Function Documentation

SDL_GLContext PSP_GL_CreateContext | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

Definition at line 76 of file SDL_pspgl.c.

References _this, SDL_VideoDevice::alpha_size, SDL_VideoDevice::blue_size, SDL_GLDriverData::context, context, SDL_VideoDevice::depth_size, SDL_GLDriverData::display, display, SDL_Window::driverdata, EGL_ALPHA_SIZE, EGL_BLUE_SIZE, EGL_DEPTH_SIZE, EGL_GREEN_SIZE, EGL_HEIGHT, EGL_NONE, EGL_RED_SIZE, EGL_STENCIL_SIZE, EGL_WIDTH, EGLCHK, eglChooseConfig(), eglCreateContext(), eglCreateWindowSurface(), eglGetConfigAttrib(), eglGetDisplay(), eglInitialize(), eglMakeCurrent(), SDL_Window::flags, SDL_VideoDevice::gl_config, SDL_VideoDevice::gl_data, SDL_VideoDevice::green_size, i, NULL, SDL_VideoDevice::red_size, SDL_SetError(), SDL_TRUE, SDL_WINDOW_FULLSCREEN, SDL_VideoDevice::stencil_size, SDL_GLDriverData::surface, and SDL_WindowData::uses_gles.

void PSP_GL_DeleteContext | ( | _THIS | ,
|  | SDL_GLContext | context
| ) |  |

Definition at line 181 of file SDL_pspgl.c.

References _this, SDL_GLDriverData::display, SDL_VideoDevice::driverdata, SDL_VideoData::egl_initialized, EGL_NO_CONTEXT, EGL_NO_DISPLAY, EGL_TRUE, eglDestroyContext(), SDL_VideoDevice::gl_data, if(), SDL_SetError(), and SDL_TRUE.

void* PSP_GL_GetProcAddress | ( | _THIS | ,
|  | const char * | proc
| ) |  |

Definition at line 61 of file SDL_pspgl.c.

References eglGetProcAddress().

int PSP_GL_GetSwapInterval | ( | _THIS |  | ) |

Definition at line 169 of file SDL_pspgl.c.

References _this, SDL_VideoDevice::gl_data, and SDL_GLDriverData::swapinterval.

int PSP_GL_LoadLibrary | ( | _THIS | ,
|  | const char * | path
| ) |  |

Definition at line 45 of file SDL_pspgl.c.

References _this, SDL_VideoDevice::driver_loaded, and SDL_VideoDevice::gl_config.

int PSP_GL_MakeCurrent | ( | _THIS | ,
|  | SDL_Window * | window,
|  | SDL_GLContext | context
| ) |  |

Definition at line 144 of file SDL_pspgl.c.

References _this, SDL_GLDriverData::context, SDL_GLDriverData::display, eglMakeCurrent(), SDL_VideoDevice::gl_data, SDL_SetError(), and SDL_GLDriverData::surface.

int PSP_GL_SetSwapInterval | ( | _THIS | ,
|  | int | interval
| ) |  |

Definition at line 155 of file SDL_pspgl.c.

References _this, SDL_GLDriverData::display, EGL_TRUE, eglSwapInterval(), SDL_VideoDevice::gl_data, SDL_SetError(), and SDL_GLDriverData::swapinterval.

void PSP_GL_SwapWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

Definition at line 175 of file SDL_pspgl.c.

References _this, SDL_GLDriverData::display, eglSwapBuffers(), SDL_VideoDevice::gl_data, and SDL_GLDriverData::surface.

void PSP_GL_UnloadLibrary | ( | _THIS |  | ) |

Definition at line 67 of file SDL_pspgl.c.

References _this, SDL_GLDriverData::display, eglTerminate(), and SDL_VideoDevice::gl_data.

## Variable Documentation

EGLint height = 272

static

Definition at line 73 of file SDL_pspgl.c.

EGLint width = 480

static

Definition at line 72 of file SDL_pspgl.c.